
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	int iColonyInfoSumm = SelectColonyInfoUpdate(npchar);

	switch(Dialog.CurrentNode)
	{

		case "First Time":
			dialog.text = "Spójrz, kogo tu mamy! Ty jesteś... hmm... nie mogę sobie przypomnieć twojego imienia, ale to nieważne! Siadaj, napijmy się po szklanicy rumu!";
			link.l1 = "Byłoby miło, ale nie mogę.";
			link.l1.go = "exit";
			NextDiag.TempNode = "First Time";
		break;

		case "colony_Info_Time":
			if(iColonyInfoSumm > 100)
			{
				dialog.text = "Hej, ty, jak ci tam?! Wyglądasz mi na kapitana, więc możesz być zainteresowany informacjami, jakie posiadam.";
				link.l1 = "Tak? A co masz mi do powiedzenia?";
				link.l1.go = "colony_info_select";
				link.l2 = "Nie jestem zainteresowany.";
				link.l2.go = "exit";
			}
			else
			{
				dialog.text = "Wybacz, jestem zbyt zmęczony, żeby rozmawiać.";
				link.l1 = "Nie zamierzam ci przeszkadzać.";
				link.l1.go = "exit";
			}
			AddDialogExitQuest("RechargeColonyInfoMan");
			NextDiag.TempNode = "First Time";
		break;

		case "colony_info_select":
			dialog.text = "Mam najświeższe plotki z " + XI_ConvertString(npchar.colonyinfoupdate) + ", ale najpierw chcę zobaczyć " + iColonyInfoSumm + " piastrów wędrujących do mojej kiesy.";
			if(sti(pchar.money) >= iColonyInfoSumm)
			{
				link.l1 = "W porządku, oto pieniądze.";
				link.l1.go = "colony_info_update";
			}
			link.l2 = "Nie mam takich pieniędzy. Żegnam.";
			link.l2.go = "exit";
		break;

		case "colony_info_update":
			dialog.text = "Dobrze! Słuchaj... (Słuchasz uważnie tego, co ma do powiedzenia).";
			link.l1 = "Dzięki za informację.";
			link.l1.go = "exit";
			AddMoneyToCharacter(pchar, -iColonyInfoSumm);
			ColoniesInfoUpdateFromMan(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}